Refresh an ID token
curl --request POST \
--url https://laso.finance/auth \
--header 'Content-Type: application/json' \
--data '
{
"grant_type": "refresh_token",
"refresh_token": "<string>"
}
'import requests
url = "https://laso.finance/auth"
payload = {
"grant_type": "refresh_token",
"refresh_token": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({grant_type: 'refresh_token', refresh_token: '<string>'})
};
fetch('https://laso.finance/auth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id_token": "<string>",
"refresh_token": "<string>",
"expires_in": "<string>",
"user_id": "<string>"
}{
"error": "Invalid or missing grant_type. Must be \"refresh_token\" for POST /auth."
}{
"error": "Failed to refresh token. Token may be invalid or revoked."
}Account
Refresh an ID token
Exchange a refresh token for a new ID token. This is a free endpoint — no x402 payment required. Uses the standard OAuth2 grant_type=refresh_token pattern.
POST
/
auth
Refresh an ID token
Body
application/json
⌘I